# Package org.apache.hc.client5.http.impl.compat

Class Summary
ClassicToAsyncAdaptor: `CloseableHttpClient` implementation backed by `CloseableHttpAsyncClient` acting as a compatibility bridge with the classic APIs based on the standard `InputStream` / `OutputStream` model.

Exception Summary
ProtocolException: TODO: to be replaced by core functionality
TransportException: TODO: to be replaced by core functionality